//
// Exit.cpp
//

#include "DisplayManager.h"
#include "LogManager.h"
#include "WorldManager.h"

#include "Exit.h"

#define EXIT_CHAR 'X'
#define EXIT_COLOR df::GREEN

Exit::Exit(df::Vector start) {
  LM.writeLog("Exit::Exit(): Just added to game world");
  setSolidness(df::SPECTRAL);
  // Draw on top.
  setAltitude(df::MAX_ALTITUDE);
  setType("Exit");
  setPosition(start);
}

int Exit::draw() {
  return DM.drawCh(getPosition(), EXIT_CHAR, EXIT_COLOR); 
}

