//
// Cell.h
//

#ifndef CELL_H
#define CELL_H

#include "WallHorizontal.h"
#include "WallVertical.h"

class Cell {
 private:
  bool wall[4];
  int col, row;
  WallVertical *p_west_wall;
  WallHorizontal *p_south_wall;

 public:
  enum wall_enum { 
    WALL_NORTH,
    WALL_EAST,
    WALL_SOUTH,
    WALL_WEST
  };
  void init(int init_row, int init_col);
  void removeWall(enum wall_enum wall);
  int getRow();
  int getCol();
  bool fourWalls();
  void setPosition(int new_row, int new_col);
};

#endif 
