//
// WallVertical.cpp
//

#include "DisplayManager.h"
#include "WallVertical.h"

WallVertical::WallVertical(df::Vector p) {
  setPosition(p);
}

// Draw vertical wall.
int WallVertical::draw() {
  int ret = 0;
  for (int i=0; i<=0; i++) {
    df::Vector temp = getPosition();
    temp.setY(getPosition().getY()+i);
    ret += DM.drawCh(temp, '|', df::WHITE); 
  }
  return ret;
}
